@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;
@use './styles/tools-languagepicker.variables.scss' as *;

:host {
	@include digi-tools-languagepicker--variables;

	.digi-tools-languagepicker {
		display: flex;
		gap: var(--digi--padding--small);

	}
}

::slotted(* .digi-navigation-context-menu__content) {
	--digi--navigation-context-menu--button-icon--margin-left: #{rem(12)};
	--digi--navigation-context-menu--button-icon--margin-right: #{rem(6)};
	--digi--navigation-context-menu--item--border-top: var(--digi--border-width--primary) solid var(--digi--color--background--neutral-3);
}

::slotted(* .digi-navigation-context-menu__item--selected) {
		background-color: unset !important;
}

::slotted(* .digi-navigation-context-menu__trigger-button),
::slotted(* .digi-tools-languagepicker__buttons) {
	--digi--button--icon--spacing: var(--digi--global--spacing--smallest-2);
	// padding: var(--digi--tools-languagepicker--button--padding);
	--digi--button--padding--medium: var(--digi--tools-languagepicker--button--padding);
	--digi--navigation-context-menu--button-trigger--padding: var(--digi--tools-languagepicker--button--padding);
	// background-color: var(--digi--tools-languagepicker--button--color--background);
	--digi--button--color--background--primary--default: var(--digi--tools-languagepicker--button--color--background);
	--digi--button--color--background--function--default: var(--digi--tools-languagepicker--button--color--background);

	--digi--button--color--border--primary--default: var(--digi--tools-languagepicker--button--color--border);
	--digi--button--color--border--function--default: var(--digi--tools-languagepicker--button--color--border);

	--digi--button--border-radius--primary--default: var(--digi--tools-languagepicker--button--border-radius);
	--digi--button--border-radius--function--default: var(--digi--tools-languagepicker--button--border-radius);

	--digi--button--color--text--primary--default: var(--digi--tools-languagepicker--button--color--text);
	--digi--button--color--text--function--default: var(--digi--tools-languagepicker--button--color--text);

	--digi--button--font-size--medium: var(--digi--tools-languagepicker--button--font-size);
	--digi--navigation-context-menu--button-trigger--font-size: var(--digi--tools-languagepicker--button--font-size);
	--digi--navigation-context-menu--button-trigger--font-size--desktop: var(--digi--tools-languagepicker--button--font-size);



	--digi--button--border-width--function--default: var(--digi--tools-languagepicker--button--border-width);
	--digi--button--border-style--function--default: var(--digi--tools-languagepicker--button--border-style);

	/* HOVER */
	--digi--button--color--background--primary--hover: var(--digi--color--text--primary);
	--digi--button--color--background--function--hover: var(--digi--color--text--primary);
	--digi--button--color--border--primary--hover: var(--digi--color--text--primary);
	--digi--button--color--border--function--hover: var(--digi--color--text--primary);
	--digi--button--border-radius--primary--hover: var(--digi--tools-languagepicker--button--border-radius--hover);
	--digi--button--border-radius--function--hover: var(--digi--tools-languagepicker--button--border-radius--hover);
	// --digi--button--border-width--primary--hover: var(--digi--tools-languagepicker--button--border-width--hover);
	// --digi--button--border-width--function--hover: var(--digi--tools-languagepicker--button--border-width--hover);
	--digi--button--border-style--primary--hover: var(--digi--tools-languagepicker--button--border-style--hover);
	--digi--button--border-style--function--hover: var(--digi--tools-languagepicker--button--border-style--hover);
	--digi--button--color--text--primary--hover: var(--digi--color--background--secondary);
	--digi--button--color--text--function--hover: var(--digi--color--background--secondary);

	/* FOCUS */
	--digi--button--color--background--primary--focus: var(--digi--color--text--primary);
	--digi--button--color--background--function--focus: var(--digi--color--text--primary);
	--digi--button--color--border--primary--focus: var(--digi--color--text--primary);
	--digi--button--color--border--function--focus: var(--digi--color--text--primary);
	--digi--button--border-radius--primary--focus: var(--digi--tools-languagepicker--button--border-radius--focus);
	--digi--button--border-radius--function--focus: var(--digi--tools-languagepicker--button--border-radius--focus);
	// --digi--button--border-width--primary--focus: var(--digi--tools-languagepicker--button--border-width--focus);
	// --digi--button--border-width--function--focus: var(--digi--tools-languagepicker--button--border-width--focus);
	--digi--button--border-style--primary--focus: var(--digi--tools-languagepicker--button--border-style--focus);
	--digi--button--border-style--function--focus: var(--digi--tools-languagepicker--button--border-style--focus);
	--digi--button--color--text--primary--focus: var(--digi--color--background--secondary);
	--digi--button--color--text--function--focus: var(--digi--color--background--secondary);
	--digi--button--color--icon--function--focus: var(--digi--button--color--icon--primary--focus);

	/* ACTIVE */
	--digi--button--color--background--primary--active: var(--digi--color--text--primary);
	--digi--button--color--background--function--active: var(--digi--color--text--primary);
	--digi--button--color--border--primary--active: var(--digi--color--text--primary);
	--digi--button--color--border--function--active: var(--digi--color--text--primary);
	--digi--button--border-radius--primary--active: var(--digi--tools-languagepicker--button--border-radius--active);
	--digi--button--border-radius--function--active: var(--digi--tools-languagepicker--button--border-radius--active);
	// --digi--button--border-width--primary--active: var(--digi--tools-languagepicker--button--border-width--active);
	// --digi--button--border-width--function--active: var(--digi--tools-languagepicker--button--border-width--active);
	--digi--button--border-style--primary--active: var(--digi--tools-languagepicker--button--border-style--active);
	--digi--button--border-style--function--active: var(--digi--tools-languagepicker--button--border-style--active);
	--digi--button--color--text--primary--active: var(--digi--color--background--secondary);
	--digi--button--color--text--function--active: var(--digi--color--background--secondary);

	/* BUTTON ICONS */
	--digi--button--color--icon--primary--default: var(--digi--global--color--neutral--grayscale--darkest-5);
	--digi--button--color--icon--primary--hover: var(--digi--button--color--text--primary--hover);
	--digi--button--color--icon--primary--active: var(--digi--button--color--text--primary--hover);
	--digi--button--color--icon--function--default: var(--digi--global--color--neutral--grayscale--darkest-5);
	--digi--button--color--icon--function--hover: var(--digi--button--color--text--primary--hover);
	--digi--button--color--icon--function--active: var(--digi--button--color--text--primary--hover);

	// --digi--icon--color: var(--digi--tools-languagepicker--button--color--text);
	// --COLOR--TEXT--HOVER: var(--digi--color--background--secondary);
	

	.digi-button {
		min-height: 100%;
		text-decoration: none !important; /* no underline because this is a button */

		[slot=icon]{
			--digi--icon--height: 1.3em;
			--digi--icon--width: 1.3em;	
		}

		&__icon--secondary {
			padding-left: var(--digi--gutter--smaller);
		}
	}
}

::slotted(* .digi-tools-languagepicker__buttons.hide-text) {
	.digi-button__text {
		min-height: 100%;
		@media screen and (max-width: $digi--breakpoint--small-below) {
			@include digi--a11y--sr-only;
		}
	}
}
